debug_node_api.debug_generate_blocks_until
disabled
Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.
Purpose
在本地生成区块(block),直到指定的头区块(head block)时间。可稀疏生成。
Parameters
PARAMETERS
json
{
"debug_key": "",
"head_block_time": "1970-01-01T00:00:00",
"generate_sparsely": true
}⚠ 该方法在 steem 源码中有定义,但公共节点未启用。
Example
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "debug_node_api.debug_generate_blocks_until",
"params": {
"debug_key": "",
"head_block_time": "1970-01-01T00:00:00",
"generate_sparsely": true
},
"id": 1
}'Response
RESPONSE
json
{
"blocks": 0
}